Bug 314461 - bash using incorrect block size with limits
bash using incorrect block size with limits
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-01 14:41 EDT by Daniel Qarras
Modified: 2014-01-12 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-25 08:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2007-10-01 14:41:31 EDT
On a Fedora 7 I have set following limits (only) on /etc/security/limits.conf:

*               soft    core            0
*               hard    core            32768

When I use bash I get this:

$ ulimit -Hc

But with zsh I get this:

$ ulimit -Hc

Reading the standards below it seems unambiguous that the correct block size
should be 512:


However, http://ftp.gnu.org/gnu/bash/bash-3.2.tar.gz has the following in

static RESOURCE_LIMITS limits[] = {
  { 'c',        RLIMIT_CORE,  1024,     "core file size",      
"blocks" },

Same goes for several other limits.

FWIW, zsh and ksh are using 512 and bash and tcsh are using 1024. I think bash
should be fixed. I'll open another case against tcsh.
Comment 1 Daniel Qarras 2007-10-01 14:44:44 EDT
The bug against tcsh is Bug 314471.
Comment 2 Daniel Qarras 2007-10-01 14:58:04 EDT
Actually, when reading /etc/security/limits.conf it says:

#<item> can be one of the following:
#        - core - limits the core file size (KB)

So tcsh is working correctly here, only bash is incorrect here.
Comment 3 Pete Graner 2007-10-01 15:06:03 EDT
Looks like a bug, however to be sure I've sent a query to the upstream
maintainers to get their take on it. More once I have it.
Comment 4 Daniel Qarras 2007-10-12 16:53:12 EDT
Thanks for the info. Would be nice to get this fixed for F8.
Comment 5 Daniel Qarras 2007-12-29 11:15:37 EST
Still exists in Fedora 8. Upstream will be probably fixed in the next version
according to mailing list discussions.
Comment 6 Roman Rakus 2008-06-25 08:29:36 EDT
Yep. As in Comment #5 -> close upstream

Note You need to log in before you can comment on or make changes to this bug.